Bug 210871 - Konsole doesn't consider ")" as "end-of-url"
Summary: Konsole doesn't consider ")" as "end-of-url"
Status: RESOLVED FIXED
Alias: None
Product: konsole
Classification: Unclassified
Component: general (show other bugs)
Version: 2.7.2
Platform: Unlisted Binaries Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Konsole Developer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-10-17 12:43 UTC by Andreas Pakulat
Modified: 2013-08-15 21:50 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.9.4


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Pakulat 2009-10-17 12:43:08 UTC
Konsole has this really nice feature to be able to open urls with a browser via the context menu. I use this all the time to open urls from mails (mutt-user here :). However this breaks for our bugzilla mails, in particular those for attachments. Those mails contain this text:

Created an attachment (id=37629)
 --> (http://bugs.kde.org/attachment.cgi?id=37629)

And konsole properly sees that the url starts after the opening parenthesis. Unfortunately it seems to simply take everything up to the next whitespace character as part of the url. Which means I can't use the open-url-in-browser feature with the above url as konqueror then gets

http://bugs.kde.org/attachment.cgi?id=37629)

as url to open which of course gives me an error from bugzilla.

Hmm, I'm not sure how to fix this without breaking opening urls that contain a literal ')' as part of the url. One option would be to count the ( and ) on the line where the url is and then if the url ends with a ) and there was one before the url started consider the one at the end to be not part of the url.
Comment 1 Robert Knight 2009-10-17 22:40:45 UTC
> Hmm, I'm not sure how to fix this without breaking 
> opening urls that contain a literal ')' as part of the url.

There are quite a few variations on this as well - where URLs are enclosed in quotes, curly braces, less/greater-than signs and so on.
Comment 2 Francesco Cecconi 2012-11-16 20:03:21 UTC
Git commit e63780b7ebf52ac4914684980fff4a43a935408c by Francesco Cecconi.
Committed on 16/11/2012 at 20:59.
Pushed by cecconi into branch 'master'.

Update 'UrlFilter' regular expression.

Fix issues with URLs that end with ')' and ':'.
FIXED-IN: 4.9.4

REVIEW: 107340

M  +2    -2    src/Filter.cpp

http://commits.kde.org/konsole/e63780b7ebf52ac4914684980fff4a43a935408c
Comment 3 Francesco Cecconi 2012-11-16 20:04:20 UTC
Git commit 1e9cbb90c002e70e895dd3f5bec2023c34cd9886 by Francesco Cecconi.
Committed on 16/11/2012 at 20:59.
Pushed by cecconi into branch 'KDE/4.9'.

Update 'UrlFilter' regular expression.

Fix issues with URLs that end with ')' and ':'.
FIXED-IN: 4.9.4

REVIEW: 107340

M  +2    -2    src/Filter.cpp

http://commits.kde.org/konsole/1e9cbb90c002e70e895dd3f5bec2023c34cd9886
Comment 4 Francesco Cecconi 2013-08-15 21:36:40 UTC
Git commit 194a852d338ee04503ed83cf61dadf3859f1735a by Francesco Cecconi.
Committed on 15/08/2013 at 21:14.
Pushed by cecconi into branch 'master'.

Prevent the dragging of the last tab in a split view.
REVIEW: 107640
FIXED-IN: 4.12

M  +13   -6    src/ViewContainer.cpp
M  +10   -3    src/ViewContainer.h
M  +19   -2    src/ViewContainerTabBar.cpp
M  +8    -3    src/ViewContainerTabBar.h
M  +22   -4    src/ViewManager.cpp
M  +1    -1    src/ViewManager.h

http://commits.kde.org/konsole/194a852d338ee04503ed83cf61dadf3859f1735a
Comment 5 Francesco Cecconi 2013-08-15 21:50:56 UTC
Sorry for the mistake.